Skip to main content
PUT
Update an appointment

Authorizations

x-api-key
string
header
required

Path Parameters

event_id
string
required

Body

application/json
user_email
string<email>
start_time
string<date-time>

UTC date-time ending in Z or +00:00, e.g. 2026-03-01T14:00:00.000Z. Offsets other than UTC and Unix timestamps are rejected.

end_time
string<date-time> | null

UTC date-time ending in Z or +00:00, e.g. 2026-03-01T14:00:00.000Z. Offsets other than UTC and Unix timestamps are rejected. Send null to clear it.

title
string
customer
object

Fields you send are merged into the existing customer.

Response

OK

appointment
object